# Generated from negarmoji-0.1.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name negarmoji

Name: rubygem-%{gem_name}
Version: 0.1.10
Release: 1%{?dist}
Summary: Unicode emoji library
License: GPL-3.0
URL: https://gitlab.com/Azadeh-Afzar/Web-Development/Negareh-Emoji-Library
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.2
# BuildRequires: rubygem(minitest) >= 5.14.4
# BuildRequires: rubygem(minitest) < 5.15
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.18.3
# BuildRequires: rubygem(rubocop) < 1.19
# BuildRequires: rubygem(simplecov) >= 0.21.2
# BuildRequires: rubygem(simplecov) < 0.22
BuildArch: noarch

%description
Character information and metadata for Unicode emoji.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.gitlab
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/CREDITS
%license %{gem_instdir}/LICENSE
%{gem_instdir}/ROADMAP.md
%{gem_instdir}/SUPPORT.md
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/logo.svg
%{gem_instdir}/script
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/negarmoji.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.10-1
- Initial package
